EDIT - bug #8846

Correctly parsed nomenclatural reference uncorrectly saved when taxon has relationship
02/06/2020 12:03 PM - Katja Luther
Target version:
Description

Hallo liebes Editor Team,

ich habe einen etwas merkwirdigen Fehler, der ohne Fehlermeldung auftritt.

Wenn ich bei der Art Asplenium auriculatum Sw. die Referenz fiir den hinzuflige, also ,in Kongl. Vetensk. Acad. Handl. 1817: 68.
1817” und dann abspeichere sieht erstmal alles gut aus (Screenshot 1), aber wenn ich die Art neu aufmache sehe ich, dass das
Journal durch “undefined journal” ersetzt wurde (Screenshot 2). Wenn ich mir die Referenz in der Detailansicht anschaue sieht es so
aus als wirde das Journal als Autor verwendet werden (Screenshot 3). Das Ganze ist in der flora-cuba Datenbank.

Viele GriBe

Sophia

this problem occurs only when the taxon has a taxon relationship.

the reference is correctly parsed, but after merging the related taxon (this needs to be done separatly because of the removed
cascading) the returned MergeResult contains a name with a nomenclatural reference missing the inReference.

History

#1 - 02/06/2020 12:37 PM - Katja Luther

- Description updated

#2 - 03/10/2020 10:03 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#3 - 04/08/2020 03:46 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#4 - 06/23/2020 01:51 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#5 - 09/28/2020 11:45 AM - Katja Luther
- Status changed from New to Worksforme

- Target version deleted (Release 5.18)

This seems to be fixed, could not reproduce this problem anymore.
